Name:          jcckit
Version:       1.1
Release:       1%{?dist}
Summary:       Java Chart Constuction Kit
License:       LGPLv2+
URL:           http://jcckit.sourceforge.net/
Source0:       http://downloads.sourceforge.net/jcckit/jcckit.zip

BuildRequires: java-devel
BuildRequires: javapackages-local

BuildArch:     noarch

%description
The Java Chart Constuction Kit (JCCKit) is a small (< 100Kb) Java library and a
very flexible framework for creating scientific charts and plots.

The main purpose is to provide a flexible kit for writing Java applets and
application with the need for visualizing scientific data. If you are looking
for a lean scientific chart and plot library without all the unwanted bells and
whistles of the heavy competitors try JCCKit.

The key features of JCCKit are:
    * small (< 100Kb jar file)
    * highly configurable due to a sophisticated configuration concept
    * extensible (1/3 of all classes are interfaces or abstract classes.)
    * automatic updating if data changes
    * easy programming of dynamic charts and plots
    * automatic rescaling if canvas size changes
    * out-of-the-box applet for presenting static data on a web page without
      Java programming
    * automatically generates a legend

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n JCCKit
# Cleanup
find -name "*.jar" -print -delete
find -name "*.class" -print -delete
rm -r docs
# Extract source
%jar -xf src.zip

# fix non ASCII chars
for s in jcckit/plot/Legend.java
do
  native2ascii -encoding UTF8 ${s} ${s}
done

# fix incorrect-fsf-address reported @ https://sourceforge.net/p/jcckit/bugs/2/
sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," LICENSE.txt

%build

mkdir -p classes docs
%javac -d classes $(find . -name "*.java")

(
 cd classes
 %jar -cf ../%{name}.jar *
)

%javadoc -Xdoclint:none -classpath classes -d javadoc $(find . -name "*.java")

%install
%mvn_file %{name}:%{name} %{name}
%mvn_artifact %{name}:%{name}:%{version} %{name}.jar
%mvn_install -J javadoc

%files -f .mfiles
%doc README.html
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Thu Nov 26 2015 gil cattaneo <puntogil@libero.it> 1.1-1
- initial rpm
